
Figure - Bug #113771
测试 Test-IT # 110961 (New): V2.0功能测试

测试 Test-IT # 112101 (New): AF-V2.0-Launcher/SystemUI-控制中心

【AF】【EVT】【控制中心】【互联网】连接一个WiFi，点击wifi名称后面的设置进入网络详情页面，点击取
消保存-页面内容消失
2022-11-07 18:08 - CD TEST-方永红

Status: CLOSED Start date: 2022-11-07

Priority: Normal Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202211050252

Resolution: FIXED Degrated: No

Severity: Normal Verified Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202211120244

Reproducibility: Every time Fixed Version: 2022-11-11

Test Type: IT Root cause: 通过通知栏跳转到wifi详情，settings中的fragment堆栈只有TopLevelSettings和WifiNetworkDetailsFragment，所以取消保存过后，退出WifiNetworkDetailsFragment后就只剩空白的TopLevelSettings了。

Description

【前提条件】

1、设备已开机

2、WIFI未开启

【测试步骤】

1、下划打开控制中心

2、点击互联网选项-打开wlan开关

3、等待出现附近可连接的wifi列表

4、选择一个wifi进行连接

5、点击已连接wifi旁边的设置按钮

6、进入网络详情页面-点击取消保存

【预期结果】

7、取消保存操作成功，页面回到wifi连接列表

【实际结果】

7、取消保存操作成功，但是页面内容消失

History

#1 - 2022-11-09 09:52 - CD FW 曹覃刚

- Status changed from New to ASSIGNED

- Assignee changed from CD FW 曹覃刚 to CD FW-程天颖

#2 - 2022-11-11 10:18 - CD FW-程天颖

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW-程天颖 to CD TEST-方永红

- % Done changed from 0 to 100

- Degrated changed from -- to No

- Fixed Version set to 2022-11-11

- Root cause set to 通过通知栏跳转到wifi详情，settings中的fragment堆栈只有TopLevelSettings和WifiNetworkDetailsFragment，所以取消保存过后，退

出WifiNetworkDetailsFragment后就只剩空白的TopLevelSettings了。
■ Current conclusion

bug已解决

■ My analysis

通过通知栏跳转到wifi详情，settings中的fragment堆栈只有TopLevelSettings和WifiNetworkDetailsFragment，所以取消保存过后，退

出WifiNetworkDetailsFragment后就只剩空白的TopLevelSettings了。参考原生，在当前场景下，取消保存时会关闭Settings

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Settings/+/161388

测试方法与描述相同

#3 - 2022-11-11 14:33 - CD TEST-方永红

- Assignee changed from CD TEST-方永红 to CD FW-程天颖

11.11

根据上述步骤取消保存再重新进入设置

设置二级页面无内容显示

#4 - 2022-11-11 15:52 - CD FW-程天颖

- Assignee changed from CD FW-程天颖 to CD AF-陈羽杰

#5 - 2022-11-11 15:53 - CD FW-程天颖

- Status changed from RESOLVED to ASSIGNED

- % Done changed from 100 to 60

#6 - 2022-11-11 18:31 - CD AF-陈羽杰

- Status changed from ASSIGNED to RESOLVED

#7 - 2022-11-11 18:32 - CD AF-陈羽杰

- Assignee changed from CD AF-陈羽杰 to CD TEST-方永红

- Resolution changed from -- to FIXED

#8 - 2022-11-14 10:45 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202211120244

11.14 验证通过

#9 - 2022-11-14 10:45 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

- % Done changed from 60 to 100

#10 - 2022-12-22 20:51 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

161388 general/platform/packages/apps/Settin

gs

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tianying.cheng@thundersoft.com
https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Settings/+/161388


AF:Settings: Fix forget wifi Settings page content disappears1.Fix forget wifi Settings page content disappearsTC-RID: 1201-0201801IssueID:

TS-R-BUG-113771Change-Id: I2cb0f2c006c47d34a1bda90d95d4651574a55772

#11 - 2022-12-22 20:52 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

162055 general/platform/packages/apps/Settin

gs

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

yujie.chen@thundersoft.com

AF:Settings: Fix forget wifi Settings page content disappears1.Fix forget wifi Settings page content disappearsTC-RID: 1201-0201813IssueID:

TS-R-BUG-113771Change-Id: I716a9efe3e6ab1fc5aa17c2b784bb72be7c1cba3

Files

Phone-STS40X190122 2022-11-07 17-58-22.mp4 33.4 MB 2022-11-07 CD TEST-方永红

logcat.txt 2.53 MB 2022-11-07 CD TEST-方永红
